<?php
namespace addons\sysinfo;  // 注意命名空间规范
use think\Addons;

class Widget extends Addons // 需继承Addons类
{
    // 该插件的基础信息
    public $info = [
        'name' => 'sysinfo',   // 插件标识
        'title' => '后台系统信息',  // 插件名称
        'author' => 'RGCMS',  // 插件作者
        'version' => '0.1',  // 插件版本
        'description' => "后台首页系统信息"  // 插件描述
    ];

    /**
     * 插件安装方法
     * @return bool
     */
    public function install()
    {
        return true;
    }

    /**
     * 插件卸载方法
     * @return bool
     */
    public function uninstall()
    {
        return true;
    }

    /**
     * 实现插件的钩子方法
     * @return mixed
     */
    public function sysinfohook($param)
    {
        // // 调用钩子时候的参数信息
        // print_r($param);
        // // 当前插件的配置信息，配置信息存在当前目录的config.php文件中，见下方
        // print_r($this->getConfig());
        // 可以返回模板，模板文件默认读取的为插件目录中的文件。模板名不能为空！
        return $this->fetch('info');
    }

}